A canonical acaba de ganhar a primeira atualização de kernel no Ubuntu 18.04.  Ela chegou para corrigir a vulnerabilidade chamada SpecBeatative Store Buffer Bypass (SSBB), também conhecida como Specter Variant 4  ou CVE-2018-3639. O problema pode permitir que um invasor exponha informações confidenciais em sistemas vulneráveis. A descoberta foi feita pelos pentesters Jann Horn e Ken Johnson. Um aviso de segurança detalha a vulnerabilidade.

A Canonical assinala que, para mitigar totalmente o Specter Variant 4, os usuários devem atualizar também o firmware do microcódigo do processador. Eles têm trabalhado com a Intel para oferecer atualizações que resolvam o problema causado pelo Specter Variant 4. Porém, os usuários da AMD precisarão entrar em contato com o fornecedor para obter atualizações de firmware.

Para ativar as mitigações do kernel para o Specter Variant 4 é necessário o recurso SSBD (Speculative Store Bypass Disable)  em máquinas i386 (32 bits) e amd64 (64 bits). Isto será implementado por fornecedores de BIOS com futuras atualizações. Portanto, os usuários também devem garantir que estão usando a versão mais recente do BIOS em seus computadores.

Canonical alerta usuários

A Canonical está pedindo a todos os usuários do Ubuntu 18.04 LTS (Bionic Beaver) que atualizem seus sistemas o mais rápido possível e instalem a nova versão do kernel disponível para arquiteturas de 32 e 64 bits, Amazon Web Services (AWS), Microsoft Azure Cloud, e sistemas do Google Cloud Platform (GCP), processadores OEM e ambientes de nuvem. Os usuários do Ubuntu em ambientes de nuvem teriam que entrar em contato com seus respectivos provedores para um hipervisor atualizado que expõe os novos recursos da CPU às máquinas virtuais.

Versões da atualização de kernel no Ubuntu 18.04

Além disso, a Canonical disse que forneceu atualizações QEMU correspondentes para mitigar o Variant 4 para usuários do Ubuntu de ambientes virtuais auto-hospedados. As novas versões do kernel que os usuários devem atualizar são:

  • linux-image-4.15.0-22.24 para arquiteturas de 32 e 64 bits;
  • linux-image-4.15.0-1009.9 para AWS;
  • linux-image-4.15.0-1012.12 para Azure;
  • linux-image-4.15.0-1008.8 para GCP;
  • linux-image-4.15.0-1010.10 para KVM;
  • e linux-image-4.15.0-1006.9 para OEM.

Para atualizar seus sistemas, siga as instruções em https://wiki.ubuntu.com/Security/Upgrades.

As informações são do site Softpedia.

Claylson
Jornalista com pós graduações em Economia, Jornalismo Digital e Radiodifusão.

Qt 5.11 é lançado com várias atualizações

Previous article

Confira uma alternativa ao gksu

Next article

You may also like

More in Notícias